%global		hash ca1199fccf14540e86f6da955333e31d6fec5f3e
%global		shorthash %(bash -c 'c=%{hash}; echo ${c:0:7}')
%global		module bcache

%global		debug_package %{nil}

Name:		bcache-dkms
Version:	3.10
Release:	3.git%{shorthash}%{dist}
Summary:	Driver for MD BCache

Group:		System Environment/Kernel
License:	GPL
URL:		git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git
# gr=$(git rev-parse --short HEAD) ; git archive -o bcache-${gr}.tar.gz --prefix=linux-${gr}/ linux-3.10.y drivers/md/bcache
Source0:	bcache-%{shorthash}.tar.gz
Source1:	dkms-bcache.conf
# rpmbuild --nodeps -bp $(path to centos 7 kernel srpm)
# and snag block/blk-cgroup.h
Source2:	blk-cgroup.h
Source3:	bcache-Kbuild
# back out block scheduler/cgroup features since the kernel wasn'tbuilt with bcache
Patch0:		kill-scheduling.diff
Patch1:		dkms-makefile.diff

Provides:	bcache-driver

Requires:	dkms gcc kernel-devel

%description
%{summary}


%prep
%setup -n linux-%{shorthash}
%patch0 -p1
%patch1 -p1

%build
# noop

%install
mkdir -p %{buildroot}/usr/src
cp -a drivers/md/bcache %{buildroot}/usr/src/bcache-%{version}.%{shorthash}
cp %{SOURCE1} %{buildroot}/usr/src/bcache-%{version}.%{shorthash}/dkms.conf
cp %{SOURCE2} %{buildroot}/usr/src/bcache-%{version}.%{shorthash}
cp %{SOURCE3} %{buildroot}/usr/src/bcache-%{version}.%{shorthash}/Kbuild

%post
occurrences=$(/usr/sbin/dkms status | grep "%{module}" | grep "%{version}.%{shorthash}" | wc -l)
if [ ! occurrences > 0 ];
then
    /usr/sbin/dkms add -m %{module} -v %{version}.%{shorthash}
fi
/usr/sbin/dkms build -m %{module} -v %{version}.%{shorthash}
/usr/sbin/dkms install -m %{module} -v %{version}.%{shorthash}
exit 0

%preun
/usr/sbin/dkms remove -m %{module} -v %{version}.%{shorthash} --all
exit 0


%files
/usr/src/bcache-%{version}.%{shorthash}

%changelog
* Sat Jul  2 2016 RJ Bergeron <rbergeron@palantir.com>
- Initial packaging
